Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common.purchase.spi
Interface PurchaseManager

public interface PurchaseManager
extends javax.ejb.EJBObject

This interface defines a stateless API for providing purchase related functionality. This interface is exposed as a stateless session EJB that can be created using the `PurchaseManagerHome`.

See Also:
  `PurchaseManagerHome`

Method Summary
`void` | `queueOrder(OrderValue aOrder, java.lang.String transactionID)`
`void` | `queuePORequest(PurchaseQuote aQuote)`
`void` | `queueQPA(QPA aQPARequest)`

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### queueOrder

    public void queueOrder(OrderValue aOrder,
                           java.lang.String transactionID)
                    throws java.lang.IllegalArgumentException,
                           ApplicationException,
                           java.rmi.RemoteException

  Parameters:
    `aOrder` - A commerce order
    `transactionID` - Payment transaction ID
  Throws:
    java.lang.IllegalArgumentException - if `aOrder` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

### queuePORequest

    public void queuePORequest(PurchaseQuote aQuote)
                        throws java.lang.IllegalArgumentException,
                               ApplicationException,
                               java.rmi.RemoteException

  Parameters:
    `aQuote` - A quote originally sent by the supplier
  Throws:
    java.lang.IllegalArgumentException - if `aQuote` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

### queueQPA

    public void queueQPA(QPA aQPARequest)
                  throws java.lang.IllegalArgumentException,
                         ApplicationException,
                         java.rmi.RemoteException

  Parameters:
    `aQPA` - Query for Price and Availability from the buyer to the supplier
  Throws:
    java.lang.IllegalArgumentException - if `aQPARequest` is `null`
    ApplicationException - if an exception was returned in accessing the information.
    java.rmi.RemoteException - if a communication error occurs during the execution of a remote method call.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved